/// <reference types="react" />
import { EditorActions, EditorQuery, EditorState } from '../../types';
export type EditorConfig = {
    logoUrl?: string;
    apis: {
        url: string;
        searchFonts: string;
        searchTemplates: string;
        searchTexts: string;
        searchImages: string;
        searchShapes: string;
        searchFrames: string;
        templateKeywordSuggestion: string;
        textKeywordSuggestion: string;
        imageKeywordSuggestion: string;
        shapeKeywordSuggestion: string;
        frameKeywordSuggestion: string;
    };
    placeholders?: {
        searchTemplate?: string;
        searchText?: string;
        searchImage?: string;
        searchShape?: string;
        searchFrame?: string;
    };
    editorAssetsUrl: string;
    imageKeywordSuggestions?: string;
    templateKeywordSuggestions?: string;
};
export type EditorContext = {
    getState: () => EditorState;
    query: EditorQuery;
    actions: EditorActions;
    config: EditorConfig;
};
export declare const EditorContext: import("react").Context<EditorContext>;
