import Manager from '../Manager';
import React from 'react';
import { ItemType } from '../types';
export declare const SortableContext: React.Context<{
    manager: {};
}>;
export default function sortableContainer(WrappedComponent: any, config?: {
    withRef: boolean;
}): {
    new (props: any): {
        sortableContextValue: {
            manager: Manager;
        };
        state: {};
        componentDidMount(): void;
        componentWillUnmount(): void;
        handleStart: (event: any) => void;
        nodeIsChild: (node: any) => boolean;
        handleMove: (event: any) => void;
        handleEnd: () => void;
        cancel: () => void;
        handlePress: (event: any) => Promise<void>;
        handleSortMove: (event: any) => void;
        handleSortEnd: (event: any) => void;
        updateHelperPosition(event: any): void;
        animateNodes(): void;
        autoscroll: () => void;
        onAutoScroll: (offset: any) => void;
        getWrappedInstance(): any;
        getContainer(): any;
        handleKeyDown: (event: any) => void;
        keyLift: (event: any) => void;
        keyMove: (shift: any) => void;
        keyDrop: (event: any) => void;
        handleKeyEnd: (event: any) => void;
        isValidSortingTarget: (event: any) => any;
        render(): import("@emotion/react/jsx-runtime").JSX.Element;
        readonly helperContainer: any;
        readonly containerScrollDelta: {
            left: number;
            top: number;
        };
        readonly windowScrollDelta: {
            left: number;
            top: number;
        };
        context: unknown;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            [key: string]: any;
            items: Array<ItemType>;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: any;
    defaultProps: {
        axis: string;
        disableAutoscroll: boolean;
        distance: number;
        getHelperDimensions: typeof import("./defaultGetHelperDimensions").default;
        hideSortableGhost: boolean;
        lockOffset: string;
        lockToContainerEdges: boolean;
        pressDelay: number;
        pressThreshold: number;
        keyCodes: {
            lift: number[];
            drop: number[];
            cancel: number[];
            up: number[];
            down: number[];
        };
        shouldCancelStart: typeof import("./defaultShouldCancelStart").default;
        transitionDuration: number;
        useWindowAsScrollContainer: boolean;
    };
    propTypes: {
        axis: import("prop-types").Requireable<string>;
        contentWindow: import("prop-types").Requireable<any>;
        disableAutoscroll: import("prop-types").Requireable<boolean>;
        distance: import("prop-types").Requireable<number>;
        getContainer: import("prop-types").Requireable<(...args: any[]) => any>;
        getHelperDimensions: import("prop-types").Requireable<(...args: any[]) => any>;
        helperClass: import("prop-types").Requireable<string>;
        helperContainer: import("prop-types").Requireable<any>;
        hideSortableGhost: import("prop-types").Requireable<boolean>;
        keyboardSortingTransitionDuration: import("prop-types").Requireable<number>;
        lockAxis: import("prop-types").Requireable<string>;
        lockOffset: import("prop-types").Requireable<NonNullable<string | number | (NonNullable<string | number | null | undefined> | null | undefined)[] | null | undefined>>;
        lockToContainerEdges: import("prop-types").Requireable<boolean>;
        onSortEnd: import("prop-types").Requireable<(...args: any[]) => any>;
        onSortMove: import("prop-types").Requireable<(...args: any[]) => any>;
        onSortOver: import("prop-types").Requireable<(...args: any[]) => any>;
        onSortStart: import("prop-types").Requireable<(...args: any[]) => any>;
        pressDelay: import("prop-types").Requireable<number>;
        pressThreshold: import("prop-types").Requireable<number>;
        keyCodes: import("prop-types").Requireable<import("prop-types").InferProps<{
            lift: import("prop-types").Requireable<(number | null | undefined)[]>;
            drop: import("prop-types").Requireable<(number | null | undefined)[]>;
            cancel: import("prop-types").Requireable<(number | null | undefined)[]>;
            up: import("prop-types").Requireable<(number | null | undefined)[]>;
            down: import("prop-types").Requireable<(number | null | undefined)[]>;
        }>>;
        shouldCancelStart: import("prop-types").Requireable<(...args: any[]) => any>;
        transitionDuration: import("prop-types").Requireable<number>;
        updateBeforeSortStart: import("prop-types").Requireable<(...args: any[]) => any>;
        useDragHandle: import("prop-types").Requireable<boolean>;
        useWindowAsScrollContainer: import("prop-types").Requireable<boolean>;
    };
    contextType?: React.Context<any> | undefined;
};
