import PropTypes from 'prop-types';
import defaultGetHelperDimensions from './defaultGetHelperDimensions';
import defaultShouldCancelStart from './defaultShouldCancelStart';
export declare const propTypes: {
    axis: PropTypes.Requireable<string>;
    contentWindow: PropTypes.Requireable<any>;
    disableAutoscroll: PropTypes.Requireable<boolean>;
    distance: PropTypes.Requireable<number>;
    getContainer: PropTypes.Requireable<(...args: any[]) => any>;
    getHelperDimensions: PropTypes.Requireable<(...args: any[]) => any>;
    helperClass: PropTypes.Requireable<string>;
    helperContainer: PropTypes.Requireable<any>;
    hideSortableGhost: PropTypes.Requireable<boolean>;
    keyboardSortingTransitionDuration: PropTypes.Requireable<number>;
    lockAxis: PropTypes.Requireable<string>;
    lockOffset: PropTypes.Requireable<NonNullable<string | number | (NonNullable<string | number | null | undefined> | null | undefined)[] | null | undefined>>;
    lockToContainerEdges: PropTypes.Requireable<boolean>;
    onSortEnd: PropTypes.Requireable<(...args: any[]) => any>;
    onSortMove: PropTypes.Requireable<(...args: any[]) => any>;
    onSortOver: PropTypes.Requireable<(...args: any[]) => any>;
    onSortStart: PropTypes.Requireable<(...args: any[]) => any>;
    pressDelay: PropTypes.Requireable<number>;
    pressThreshold: PropTypes.Requireable<number>;
    keyCodes: PropTypes.Requireable<PropTypes.InferProps<{
        lift: PropTypes.Requireable<(number | null | undefined)[]>;
        drop: PropTypes.Requireable<(number | null | undefined)[]>;
        cancel: PropTypes.Requireable<(number | null | undefined)[]>;
        up: PropTypes.Requireable<(number | null | undefined)[]>;
        down: PropTypes.Requireable<(number | null | undefined)[]>;
    }>>;
    shouldCancelStart: PropTypes.Requireable<(...args: any[]) => any>;
    transitionDuration: PropTypes.Requireable<number>;
    updateBeforeSortStart: PropTypes.Requireable<(...args: any[]) => any>;
    useDragHandle: PropTypes.Requireable<boolean>;
    useWindowAsScrollContainer: PropTypes.Requireable<boolean>;
};
export declare const defaultKeyCodes: {
    lift: number[];
    drop: number[];
    cancel: number[];
    up: number[];
    down: number[];
};
export declare const defaultProps: {
    axis: string;
    disableAutoscroll: boolean;
    distance: number;
    getHelperDimensions: typeof defaultGetHelperDimensions;
    hideSortableGhost: boolean;
    lockOffset: string;
    lockToContainerEdges: boolean;
    pressDelay: number;
    pressThreshold: number;
    keyCodes: {
        lift: number[];
        drop: number[];
        cancel: number[];
        up: number[];
        down: number[];
    };
    shouldCancelStart: typeof defaultShouldCancelStart;
    transitionDuration: number;
    useWindowAsScrollContainer: boolean;
};
export declare const omittedProps: string[];
