import { FocusEventHandler, SVGProps } from 'react';
import { DefaultTheme } from './utils/config';
export declare const DEFAULT_INPUT_DEBOUNCE = 200;
export declare const MAX_RESULTS = 10;
export interface ReactSearchAutocompleteProps<T> {
    items: T[];
    inputDebounce?: number;
    onSearch?: (keyword: string) => void;
    onHover?: (result: T) => void;
    onSelect?: (result: T) => void;
    onFocus?: FocusEventHandler<HTMLInputElement>;
    onClear?: Function;
    svgIcon?: SVGProps<SVGSVGElement>;
    showIcon?: boolean;
    showClear?: boolean;
    maxResults?: number;
    placeholder?: string;
    autoFocus?: boolean;
    styling?: DefaultTheme;
    resultStringKeyName?: string;
    inputSearchString?: string;
    formatResult?: Function;
    showNoResults?: boolean;
    showNoResultsText?: string;
    showItemsOnFocus?: boolean;
    maxLength?: number;
    className?: string;
}
export default function SearchBox<T>({ items, inputDebounce, onSearch, onHover, onSelect, onFocus, onClear, svgIcon, showIcon, showClear, maxResults, placeholder, autoFocus, styling, resultStringKeyName, inputSearchString, formatResult, showNoResults, showNoResultsText, showItemsOnFocus, maxLength, className, }: ReactSearchAutocompleteProps<T>): import("@emotion/react/jsx-runtime").JSX.Element;
