import { TextLayerProps } from '../../layers/TextLayer';
import { ShapeLayerProps } from '../../layers/ShapeLayer';
import { ImageLayerProps } from '../../layers/ImageLayer';
import { GroupLayerProps } from '../../layers/GroupLayer';
import { LayerComponentProps, LayerId, SerializedLayer, SerializedLayers, Layer, LayerData, Layers } from '../../types';
import { RootLayerProps } from '../../layers/RootLayer';
import { FrameLayerProps } from '../../layers/FrameLayer';
export declare const getRandomId: () => LayerId;
export declare const deserializeLayer: <P extends LayerComponentProps>(data: SerializedLayer) => LayerData<P>;
export declare const serializeLayers: (layers: Layers, rootTreeId: LayerId) => SerializedLayers;
export declare const isRootLayer: <P extends LayerComponentProps>(layer: Layer<RootLayerProps> | Layer<P>) => layer is Layer<RootLayerProps>;
export declare const isMainLayer: <P extends LayerComponentProps>(layer: Layer<P>) => boolean;
export declare const isGroupLayer: <P extends LayerComponentProps>(layer: Layer<GroupLayerProps> | Layer<P>) => layer is Layer<GroupLayerProps>;
export declare const isTextLayer: <P extends LayerComponentProps>(layer: Layer<import("../../layers").TextContentProps> | Layer<P>) => layer is Layer<import("../../layers").TextContentProps>;
export declare const isImageLayer: <P extends LayerComponentProps>(layer: Layer<ImageLayerProps> | Layer<P>) => layer is Layer<ImageLayerProps>;
export declare const isShapeLayer: <P extends LayerComponentProps>(layer: Layer<import("../../layers").ShapeContentProps> | Layer<P>) => layer is Layer<import("../../layers").ShapeContentProps>;
export declare const isFrameLayer: <P extends LayerComponentProps>(layer: Layer<import("../../layers").FrameContentProps> | Layer<P>) => layer is Layer<import("../../layers").FrameContentProps>;
